## ros-humble-pmb2-2dnav-gazebo 3.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.0)
project(pmb2_2dnav_gazebo)

find_package(ament_cmake_auto REQUIRED)

# PAL Robotics stricter build flags, other developers should not worry about this
find_package(ament_cmake_pal QUIET)


if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(INSTALL_TO_SHARE launch)

=== debian/changelog ===
ros-humble-pmb2-2dnav-gazebo (3.0.3-1jammy) jammy; urgency=high

  * Merge branch 'cleanup' into 'humble-devel'
    Update package.xml deps
    See merge request robots/pmb2_simulation!46
  * update package.xml deps
  * Merge branch 'refactor_launch_files' into 'humble-devel'
    Refactor ld population
    See merge request robots/pmb2_simulation!42
  * refactor LaunchDescription population
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright and license
    See merge request robots/pmb2_simulation!41
  * update copyright and license
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request robots/pmb2_simulation!40
  * update maintainers
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (3.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (3.0.1-1jammy) jammy; urgency=high

  * Resolve missing dependency
  * Merge branch 'foxy_obstacle_avoidance' into 'foxy-devel'
    default world
    See merge request robots/pmb2_simulation!33
  * default world
  * Contributors: Noel Jimenez Garcia, Victor Lopez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 13 Aug 2021 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (3.0.0-1jammy) jammy; urgency=high

  * Add ament and apply corrections
  * Migrate pmb2_2dnav_gazebo to ROS2
  * First gazebo launch with ROS2
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 20 Jul 2021 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.24-1jammy) jammy; urgency=high

  * Merge branch 'mapping-rgbd' into 'erbium-devel'
    feat: Add rgbd_sensors argument to pmb2 mapping
    See merge request robots/pmb2_simulation!31
  * feat: Add rgbd_sensors argument to pmb2 mapping
  * Contributors: victor, yueerro

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 13 Jan 2021 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.23-1jammy) jammy; urgency=high

  * Merge branch 'rename_tf_prefix' into 'erbium-devel'
    Rename tf_prefix to robot_namespace
    See merge request robots/pmb2_simulation!30
  * Rename tf_prefix to robot_namespace
  * Contributors: davidfernandez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.22-1jammy) jammy; urgency=high

  * Merge branch 'fix-public-stvl' into 'erbium-devel'
    fix public sim condition for pal_pcl
    See merge request robots/pmb2_simulation!28
  * fix public sim condition for pal_pcl
  * Contributors: Procópio Stein, federiconardi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 14 Apr 2020 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.21-1jammy) jammy; urgency=high

  * Merge branch 'pmb2-stvl' into 'erbium-devel'
    Pmb2 stvl
    See merge request robots/pmb2_simulation!27
  * updated config filenames
  * launching pcl filters for rgbd cameras
  * adding rgbd_sensors param
  * Contributors: federiconardi, procopiostein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 03 Apr 2020 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.20-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 19 Mar 2020 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.19-1jammy) jammy; urgency=high

  * Merge branch 'disable-laser-footprint' into 'erbium-devel'
    disabled laser filter for multi
    See merge request robots/pmb2_simulation!25
  * disabled laser filter for multi
  * Merge branch 'removed-relay' into 'erbium-devel'
    removed map relay
    See merge request robots/pmb2_simulation!24
  * removed map relay
  * Contributors: Jordan Palacios, Procópio Stein, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 22 Oct 2019 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.18-1jammy) jammy; urgency=high

  * Merge branch 'refactoring' into 'erbium-devel'
    removed public launches in favor of using public_sim flag
    See merge request robots/pmb2_simulation!23
  * removed public launches in favor of using public_sim flag
  * Contributors: Procópio Stein, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 14 Oct 2019 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.17-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.16-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.15-1jammy) jammy; urgency=high

  * Merge branch 'add-relay' into 'erbium-devel'
    added relay from map to vo_map
    See merge request robots/pmb2_simulation!22
  * added relay from map to vo_map
  * Contributors: Procópio Stein, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.14-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 25 Sep 2019 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.13-1jammy) jammy; urgency=high

  * Merge branch 'stockbot-carrot-migration' into 'erbium-devel'
    added laser filter for simulations
    See merge request robots/pmb2_simulation!19
  * use  vo filling
  * added laser filter for simulations
  * Contributors: Procópio Stein, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Sep 2019 00:00:00 -0000

ros-humble-pmb2-2dnav-gazebo (2.0.12-1jammy) jammy; urgency=high

  * Merge branch 'add-robot-pose' into 'erbium-devel'
    Add robot pose to navigation.launch
    See merge request robots/pmb2_simulation!18
  * Add robot pose to navigation.launch
  * Contributors: Victor Lopez



=== debian/control ===
Source: ros-humble-pmb2-2dnav-gazebo
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-pmb2-2dnav-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-launch-pal, ros-humble-pmb2-2dnav, ros-humble-pmb2-gazebo, ros-humble-ros-workspace
Description: PMB2-specific launch files needed to run navigation on the PMB2 robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-2dnav-gazebo//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
